import { p as e, r as u, j as t, c as m, s as y } from "./Rivet-DdttLb6e.js";
import { useState as z, useEffect as F, createRef as K } from "react";
import { T as l } from "./TestUtils-Hg0n9mQ7.js";
import { B as U } from "./Button-Clwzx7qN.js";
import "./SegmentedButton-GEKTbkjt.js";
import { h as W, a as V, c as X, t as Y } from "./EventUtils-A0HOIKhp.js";
const T = "rvt-badge", Z = (a, s) => {
  if (!a || a === "plain")
    return s ? `${T}--${s}` : null;
  {
    let r = `${T}--${a}`;
    return s && (r += `-${s}`), r;
  }
}, k = ({
  children: a,
  className: s,
  id: r = y(),
  modifier: n,
  variant: c,
  ...i
}) => /* @__PURE__ */ t.jsx(
  "span",
  {
    id: r,
    className: m(
      T,
      Z(c, n),
      s
    ),
    ...i,
    children: a
  }
);
k.displayName = "Badge";
k.propTypes = {
  /* The variant determines the style of the badge */
  variant: e.oneOf(["danger", "info", "plain", "success", "warning"]),
  /* Badges can be either default or secondary, which affects their styling */
  modifier: e.oneOf(["secondary"]),
  /** A unique identifier for the badge */
  id: e.string
};
const be = u(k), S = ({
  children: a,
  className: s,
  image: r,
  testMode: n = !1,
  title: c,
  variant: i = "standard",
  ...d
}) => {
  const o = [
    "rvt-billboard",
    i === "center" ? "rvt-billboard--center" : "",
    i === "reverse" ? "rvt-billboard--reverse" : "",
    s
  ];
  return /* @__PURE__ */ t.jsxs(
    "div",
    {
      ...d,
      className: m(o),
      ...n && { "data-testid": l.Billboard.container },
      children: [
        r && /* @__PURE__ */ t.jsx(M, { testMode: n, children: r }),
        /* @__PURE__ */ t.jsxs("div", { className: "rvt-billboard__body", children: [
          /* @__PURE__ */ t.jsx(
            "h2",
            {
              className: "rvt-billboard__title",
              ...n && { "data-testid": l.Billboard.title },
              children: c
            }
          ),
          a && /* @__PURE__ */ t.jsx(ee, { testMode: n, children: a })
        ] })
      ]
    }
  );
};
S.displayName = "Billboard";
S.propTypes = {
  /** Optional image to display */
  image: e.element,
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool,
  /** The title of the billboard */
  title: e.string.isRequired,
  /* The variant determines the style of the billboard */
  variant: e.oneOf(["center", "reverse", "standard"])
};
const M = ({ children: a, testMode: s }) => /* @__PURE__ */ t.jsx(
  "div",
  {
    className: "rvt-billboard__image",
    ...s && { "data-testid": l.Billboard.image },
    children: a
  }
), ee = ({ children: a, testMode: s }) => /* @__PURE__ */ t.jsx(
  "div",
  {
    className: "rvt-billboard__content rvt-flow",
    ...s && { "data-testid": l.Billboard.content },
    children: a
  }
), je = u(S);
function te(a, s) {
  switch (a) {
    case 1:
    case "1":
      return s ? "Jan" : "January";
    case 2:
    case "2":
      return s ? "Feb" : "Febuary";
    case 3:
    case "3":
      return s ? "Mar" : "March";
    case 4:
    case "4":
      return s ? "Apr" : "April";
    case 5:
    case "5":
      return "May";
    case 6:
    case "6":
      return "June";
    case 7:
    case "7":
      return "July";
    case 8:
    case "8":
      return s ? "Aug" : "August";
    case 9:
    case "9":
      return s ? "Sept" : "September";
    case 10:
    case "10":
      return s ? "Oct" : "October";
    case 11:
    case "11":
      return s ? "Nov" : "November";
    case 12:
    case "12":
      return s ? "Dec" : "December";
    default:
      return a;
  }
}
const A = ({
  abbreviate: a,
  children: s,
  className: r,
  day: n,
  month: c,
  testMode: i = !1,
  year: d,
  ...o
}) => {
  const v = ["rvt-cal", r];
  return /* @__PURE__ */ t.jsxs(
    "div",
    {
      className: m(v),
      ...i && { "data-testid": l.CalendarTile.container },
      ...o,
      children: [
        /* @__PURE__ */ t.jsx(
          "span",
          {
            className: "rvt-cal__month",
            ...i && { "data-testid": l.CalendarTile.month },
            children: te(c, a)
          }
        ),
        /* @__PURE__ */ t.jsxs(
          "span",
          {
            className: "rvt-cal__day",
            ...i && { "data-testid": l.CalendarTile.day },
            children: [
              n,
              s
            ]
          }
        ),
        d && /* @__PURE__ */ t.jsx(
          "span",
          {
            className: "rvt-cal__year",
            ...i && { "data-testid": l.CalendarTile.year },
            children: d
          }
        )
      ]
    }
  );
};
A.displayName = "CalendarTile";
A.propTypes = {
  /** Whether the month is abbreviated or not */
  abbreviate: e.bool,
  /** The day */
  day: e.number,
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool,
  /** The number of the month or a textual representation of a month */
  month: e.oneOfType([e.number, e.string]).isRequired,
  /** The year */
  year: e.number
};
const ye = u(A), $ = ({
  children: a,
  className: s,
  testMode: r = !1,
  variant: n = "link",
  ...c
}) => {
  const i = [
    "rvt-cta",
    n === "button" ? "rvt-cta--button" : "",
    s
  ];
  return /* @__PURE__ */ t.jsx(
    "a",
    {
      className: m(i),
      ...r && { "data-testid": l.CallToAction.link },
      ...c,
      children: a
    }
  );
};
$.displayName = "CallToAction";
$.propTypes = {
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool,
  /* The variant determines the style of the call to action link */
  variant: e.oneOf(["button", "link"])
};
const fe = u($), O = ({
  children: a,
  className: s,
  clickable: r = !1,
  Component: n = "div",
  eyebrow: c,
  horizontal: i = !1,
  image: d,
  onClick: o,
  meta: v,
  raised: _ = !1,
  testMode: h = !1,
  title: N,
  titleUrl: b,
  ...j
}) => {
  const x = [
    "rvt-card",
    r ? "rvt-card--clickable" : "",
    i ? "rvt-card--horizontal" : "",
    _ ? "rvt-card--raised " : "",
    s
  ], p = o ? (Q) => {
    Q.preventDefault(), o(Q);
  } : null;
  return /* @__PURE__ */ t.jsxs(
    n,
    {
      className: m(x),
      onClick: r && p ? p : null,
      style: r && p ? { cursor: "pointer" } : null,
      ...h && { "data-testid": l.Card.container },
      ...j,
      children: [
        d && /* @__PURE__ */ t.jsx(ae, { testMode: h, children: d }),
        /* @__PURE__ */ t.jsxs("div", { className: "rvt-card__body", children: [
          c && /* @__PURE__ */ t.jsx(se, { testMode: h, children: c }),
          /* @__PURE__ */ t.jsx(
            "h2",
            {
              className: "rvt-card__title",
              ...h && { "data-testid": l.Card.title },
              children: b ? /* @__PURE__ */ t.jsx("a", { href: b, onClick: p, children: N }) : p ? /* @__PURE__ */ t.jsx(U, { onClick: p, variant: "plain", children: N }) : /* @__PURE__ */ t.jsx("span", { children: N })
            }
          ),
          /* @__PURE__ */ t.jsx(
            "div",
            {
              className: "rvt-card__content",
              ...h && { "data-testid": l.Card.content },
              children: a
            }
          ),
          v && /* @__PURE__ */ t.jsx(re, { testMode: h, children: v })
        ] })
      ]
    }
  );
};
O.displayName = "Card";
O.propTypes = {
  /** Full card will trigger link to tiitle's url (requires titleUrl set) */
  clickable: e.bool,
  /** Allows setting of container element */
  Component: e.string,
  /** Optional eyebrow to display */
  eyebrow: e.node,
  /** Display card in horizontal format */
  horizontal: e.bool,
  /** Optional image to display */
  image: e.element,
  /** Optional meta information */
  meta: e.node,
  /** Optional onClick function (applied to title or to entire card if clickable) */
  onClick: e.func,
  /** Add a box shadow to the card */
  raised: e.bool,
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool,
  /** The title of the Card */
  title: e.node.isRequired,
  /** Url for the title */
  titleUrl: e.string
};
const se = ({ children: a, testMode: s }) => /* @__PURE__ */ t.jsx(
  "div",
  {
    className: "rvt-card__eyebrow",
    ...s && { "data-testid": l.Card.eyebrow },
    children: a
  }
), ae = ({ children: a, testMode: s }) => /* @__PURE__ */ t.jsx(
  "div",
  {
    className: "rvt-card__image",
    ...s && { "data-testid": l.Card.image },
    children: a
  }
), re = ({ children: a, testMode: s }) => /* @__PURE__ */ t.jsx(
  "div",
  {
    className: "rvt-card__meta",
    ...s && { "data-testid": l.Card.meta },
    children: a
  }
), ge = u(O), ne = "rvt-disclosure", H = ({
  children: a,
  className: s,
  closeClickOutside: r,
  id: n = y(),
  isOpen: c,
  title: i,
  ...d
}) => {
  const [o, v] = z(c);
  F(() => (x(), () => {
    N.deregister();
  }));
  const _ = (p) => {
    p && j(p) && b(p);
  }, h = K(), N = W(_), b = (p) => {
    v(!o), p.stopPropagation && p.stopPropagation();
  }, j = (p) => V(p) || X(p) ? !1 : !Y(h.current, p), x = () => {
    o && r ? N.register() : N.deregister();
  };
  return /* @__PURE__ */ t.jsxs(
    "div",
    {
      id: n,
      className: m(ne, s),
      ref: h,
      ...d,
      children: [
        /* @__PURE__ */ t.jsx(
          "button",
          {
            className: "rvt-disclosure__toggle",
            onClick: b,
            "aria-expanded": o ? "true" : "false",
            type: "button",
            children: i
          }
        ),
        o && /* @__PURE__ */ t.jsx(
          "div",
          {
            className: "rvt-disclosure__content",
            "data-testid": l.Disclosure.testId,
            children: a
          }
        )
      ]
    }
  );
};
H.displayName = "Disclosure";
H.propTypes = {
  /** Determines whether the Disclosure closes when the user clicks anywhere outside of it */
  closeClickOutside: e.bool,
  /** A unique identifier for the badge */
  id: e.string,
  /** Determines whether the Disclosure is open or not */
  isOpen: e.bool,
  /** The content of the Disclosure button */
  title: e.oneOfType([e.string, e.element])
};
const Ce = u(H), J = ({ children: a, className: s, ...r }) => /* @__PURE__ */ t.jsx("div", { ...r, className: m("rvt-empty-state__actions", s), children: a });
J.displayName = "EmptyState.Actions";
const ie = u(J), G = ({ children: a, className: s, ...r }) => /* @__PURE__ */ t.jsx("div", { ...r, className: m("rvt-empty-state__content", s), children: a });
G.displayName = "EmptyState.Content";
const le = u(G), f = ({ children: a, className: s, ...r }) => /* @__PURE__ */ t.jsx("div", { ...r, className: m("rvt-empty-state", s), children: a });
f.displayName = "EmptyState";
f.Content = le;
f.Actions = ie;
const Te = u(f), w = ({
  actions: a,
  children: s,
  className: r,
  eyebrow: n,
  media: c,
  mediaCaption: i,
  size: d = "lg",
  testMode: o = !1,
  title: v,
  varient: _ = "normal",
  ...h
}) => {
  const N = [
    "rvt-hero ",
    _ === "dark" && "rvt-hero--bg-dark",
    r
  ];
  return /* @__PURE__ */ t.jsx(
    "div",
    {
      className: m(N),
      ...o && { "data-testid": l.Hero.container },
      ...h,
      children: /* @__PURE__ */ t.jsx(
        "div",
        {
          className: `rvt-container-${d}`,
          ...o && { "data-testid": l.Hero.innerContainer },
          children: /* @__PURE__ */ t.jsxs("div", { className: "rvt-hero__inner", children: [
            /* @__PURE__ */ t.jsxs("div", { className: "rvt-hero__body [ rvt-flow ]", children: [
              /* @__PURE__ */ t.jsx(
                "span",
                {
                  className: "rvt-hero__eyebrow",
                  ...o && { "data-testid": l.Hero.eyebrow },
                  children: n
                }
              ),
              /* @__PURE__ */ t.jsx(
                "h1",
                {
                  className: "rvt-hero__title",
                  ...o && { "data-testid": l.Hero.title },
                  children: v
                }
              ),
              /* @__PURE__ */ t.jsx(
                "div",
                {
                  className: "rvt-hero__teaser",
                  ...o && { "data-testid": l.Hero.content },
                  children: s
                }
              ),
              a && /* @__PURE__ */ t.jsx(
                "div",
                {
                  className: "rvt-hero__actions",
                  ...o && { "data-testid": l.Hero.actions },
                  children: a
                }
              )
            ] }),
            c && /* @__PURE__ */ t.jsxs(
              "div",
              {
                className: "rvt-hero__media",
                ...o && { "data-testid": l.Hero.media },
                children: [
                  c,
                  i && /* @__PURE__ */ t.jsx(
                    "div",
                    {
                      className: "rvt-hero__media-caption",
                      ...o && { "data-testid": l.Hero.mediaCaption },
                      children: i
                    }
                  )
                ]
              }
            )
          ] })
        }
      )
    }
  );
};
w.displayName = "Hero";
w.propTypes = {
  /** Available actions for the element*/
  actions: e.element,
  /** A unique identifier for the element */
  id: e.string,
  /** Image or media element to display  */
  media: e.element,
  /** Text to accompany and displayed below a provided media (media must be provided for text to display)*/
  mediaCaption: e.string,
  /** Container size of the element */
  size: e.oneOf(["sm", "md", "lg", "xl"]),
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool,
  /** The variant determines the style of hero */
  variant: e.oneOf(["normal", "dark"])
};
const ke = u(w), I = ({
  className: a,
  children: s,
  label: r,
  testMode: n = !1,
  url: c,
  ...i
}) => {
  const d = [
    "rvt-link-hub__item",
    a
  ];
  return /* @__PURE__ */ t.jsx(
    "li",
    {
      className: m(d),
      ...n && { "data-testid": l.LinkHub.itemContainer },
      ...i,
      children: /* @__PURE__ */ t.jsxs(
        "a",
        {
          className: "rvt-link-hub__link",
          href: c,
          ...n && { "data-testid": l.LinkHub.itemLink },
          children: [
            /* @__PURE__ */ t.jsx("span", { className: "rvt-link-hub__text", children: r }),
            s && /* @__PURE__ */ t.jsx("span", { className: "rvt-link-hub__description", children: s })
          ]
        }
      )
    }
  );
};
I.displayName = "LinkHubItem";
I.propTypes = {
  /** The label for the item link */
  label: e.string.isRequired,
  testMode: e.bool,
  /** The url for the item link */
  url: e.string.isRequired
};
const ce = u(I), g = ({
  children: a,
  className: s,
  testMode: r = !1,
  variant: n = "normal",
  ...c
}) => {
  const i = [
    "rvt-link-hub",
    n === "stacked" ? "rvt-link-hub--stacked" : "",
    s
  ];
  return /* @__PURE__ */ t.jsx(
    "ul",
    {
      className: m(i),
      ...r && { "data-testid": l.LinkHub.container },
      ...c,
      children: a
    }
  );
};
g.displayName = "LinkHub";
g.propTypes = {
  testMode: e.bool,
  /** The variant determines the style of the link hub */
  variant: e.oneOf(["normal", "stacked"])
};
g.Item = ce;
const Se = u(g), q = ({
  avatar: a,
  children: s,
  citation: r,
  className: n,
  subCitation: c,
  testMode: i = !1,
  ...d
}) => {
  const o = [
    "rvt-quote",
    a ? "rvt-quote--image" : "",
    n
  ];
  return /* @__PURE__ */ t.jsxs(
    "div",
    {
      className: m(o),
      ...i && { "data-testid": l.Quote.container },
      ...d,
      children: [
        a && /* @__PURE__ */ t.jsx(
          "div",
          {
            className: "rvt-avatar rvt-avatar--md",
            ...i && { "data-testid": l.Quote.avatar },
            children: a
          }
        ),
        /* @__PURE__ */ t.jsx(
          "blockquote",
          {
            className: "rvt-quote__text",
            ...i && { "data-testid": l.Quote.content },
            children: /* @__PURE__ */ t.jsx("p", { children: s })
          }
        ),
        r && /* @__PURE__ */ t.jsxs(
          "p",
          {
            className: "rvt-quote__citation",
            ...i && { "data-testid": l.Quote.citation },
            children: [
              /* @__PURE__ */ t.jsx("span", { className: "rvt-quote__title", children: r }),
              c && /* @__PURE__ */ t.jsx("span", { className: "rvt-quote__subtitle", children: c })
            ]
          }
        )
      ]
    }
  );
};
q.displayName = "Quote";
q.propTypes = {
  /** Avatar image to display above quote in place of quote icon */
  avatar: e.element,
  /** Optional citation at bottom of quote */
  citation: e.string,
  /** Optional sub citation, dependent on presence of citation */
  subCitation: e.string,
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool
};
const Ae = u(q), B = ({
  children: a,
  className: s,
  image: r,
  testMode: n = !1,
  value: c,
  ...i
}) => {
  const d = [
    "rvt-stat",
    s
  ];
  return /* @__PURE__ */ t.jsx(
    "a",
    {
      className: m(d),
      ...n && { "data-testid": l.Stat.container },
      ...i,
      children: /* @__PURE__ */ t.jsxs("div", { className: "rvt-stat__content rvt-flow", children: [
        r && /* @__PURE__ */ t.jsx(oe, { testMode: n, children: r }),
        /* @__PURE__ */ t.jsx(
          "div",
          {
            className: "rvt-stat__number",
            ...n && { "data-testid": l.Stat.number },
            children: c
          }
        ),
        /* @__PURE__ */ t.jsx(
          "div",
          {
            className: "rvt-stat__description",
            ...n && { "data-testid": l.Stat.description },
            children: a
          }
        )
      ] })
    }
  );
};
B.displayName = "Stat";
B.propTypes = {
  /** A unique identifier for the badge */
  image: e.element,
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool,
  /** The stat value */
  value: e.string.isRequired
};
const oe = ({ children: a, testMode: s }) => /* @__PURE__ */ t.jsx(
  "div",
  {
    className: "rvt-stat__image",
    ...s && { "data-testid": l.Stat.image },
    children: a
  }
), $e = u(B), R = ({
  children: a,
  className: s,
  testMode: r = !1,
  ...n
}) => {
  const c = [
    "rvt-stat-group",
    s
  ];
  return /* @__PURE__ */ t.jsx(
    "div",
    {
      className: m(c),
      ...r && { "data-testid": l.Stat.group },
      ...n,
      children: a
    }
  );
};
R.displayName = "StatGroup";
R.propTypes = {};
const Oe = u(R), de = l.StepIndicator, D = ({
  children: a,
  className: s,
  current: r,
  indicator: n,
  label: c,
  onClick: i,
  testMode: d = !1,
  url: o,
  variant: v,
  ..._
}) => {
  const h = ["rvt-steps__item", s], N = [
    "rvt-steps__indicator",
    v ? `rvt-steps__indicator--${v}` : ""
  ];
  return /* @__PURE__ */ t.jsx(
    "li",
    {
      className: m(h),
      ...d && { "data-testid": de.step },
      ..._,
      children: /* @__PURE__ */ t.jsxs(
        "a",
        {
          className: "rvt-steps__item-content",
          ...r && { "aria-current": "step" },
          ...i && { onClick: i },
          href: o,
          children: [
            /* @__PURE__ */ t.jsx("span", { className: "rvt-steps__label", children: c }),
            /* @__PURE__ */ t.jsx("span", { className: m(N), children: n })
          ]
        }
      )
    }
  );
};
D.displayName = "Step";
D.propTypes = {
  /** Indicates item is current step */
  current: e.bool,
  /** An brief indicator for the step */
  indicator: e.oneOfType([e.string, e.element]).isRequired,
  /** Label for the step */
  label: e.node.isRequired,
  /** A click event for step */
  onClick: e.func,
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool,
  /** A url for step */
  url: e.string.isRequired,
  /** The variant type which determines how the step is styled */
  variant: e.oneOf(["success", "warning", "danger"])
};
const me = u(D), pe = l.StepIndicator, C = ({
  children: a,
  className: s,
  testMode: r = !1,
  variant: n,
  ...c
}) => {
  const i = [
    "rvt-steps",
    n === "vertical" ? "rvt-steps--vertical" : "",
    s
  ];
  return /* @__PURE__ */ t.jsx(
    "ol",
    {
      className: m(i),
      ...r && { "data-testid": pe.container },
      ...c,
      children: a
    }
  );
};
C.displayName = "StepIndicator";
C.propTypes = {
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool,
  /** The variant type which determines how the step indicator is styled */
  variant: e.oneOf(["horizontal", "vertical"])
};
C.Step = me;
const He = u(C), P = ({
  label: a,
  className: s,
  children: r,
  onClick: n,
  startOn: c = !1,
  testMode: i,
  variant: d,
  ...o
}) => {
  const [v, _] = z(c), h = (x) => {
    x.preventDefault(), x.stopPropagation();
    const p = !v;
    _(p), n && n(p, x);
  }, j = [
    "rvt-switch",
    ...(d ? Array.isArray(d) ? d : [d] : []).map((x) => x ? `rvt-switch--${x}` : ""),
    s
  ];
  return /* @__PURE__ */ t.jsxs(
    "button",
    {
      "aria-checked": v,
      "aria-label": a,
      className: m(j),
      onClick: h,
      role: "switch",
      ...i && { "data-testid": l.Switch.container },
      ...o,
      children: [
        /* @__PURE__ */ t.jsx("span", { className: "rvt-switch__on", children: "On" }),
        /* @__PURE__ */ t.jsx("span", { className: "rvt-switch__off", children: "Off" })
      ]
    }
  );
};
P.displayName = "Switch";
P.propTypes = {
  /** An unseen label for the menu to help with accessibility */
  label: e.string.isRequired,
  /** Supplement function ran when switch is clicked, parameters (newSwitchState, clickEvent) */
  onClick: e.func,
  /** Initial on/off state of the switch */
  startOn: e.bool,
  /** [Developer] Adds data-testId attributes for component testing */
  testMode: e.bool,
  /** The variant type which determines how the switch is styled. Options include: [danger, small]*/
  variant: e.oneOfType([e.string, e.array])
};
const E = ({
  children: a,
  className: s,
  align: r = "left",
  id: n = y(),
  ...c
}) => {
  const i = r === "left" ? "" : `rvt-timeline--${r}`, d = r === "center" && Array.isArray(a) ? a.map((o, v) => /* @__PURE__ */ t.jsx("div", { className: "rvt-timeline__row", children: o }, `rvt-timeline__row${v}`)) : a;
  return /* @__PURE__ */ t.jsx(
    "div",
    {
      id: n,
      className: m("rvt-timeline", i, s),
      "data-testid": l.Timeline.testId,
      ...c,
      children: d
    }
  );
};
E.displayName = "Timeline";
E.propTypes = {
  /** A unique identifier for the timeline */
  id: e.string,
  /** Determines whether the Timeline is aligned center or right. Left is the default */
  align: e.oneOf(["left", "center", "right"])
};
const we = u(E), L = ({
  children: a,
  className: s,
  align: r = "left",
  header: n,
  date: c,
  dateStyleAsLabel: i,
  id: d = y(),
  ...o
}) => {
  const v = r === "left" ? "" : "rvt-timeline__item--right", _ = i ? "rvt-timeline__date--label" : "";
  return /* @__PURE__ */ t.jsxs(
    "div",
    {
      id: d,
      className: m("rvt-timeline__item", v, s),
      children: [
        /* @__PURE__ */ t.jsx("div", { className: "rvt-timeline__marker", "aria-hidden": "true" }),
        /* @__PURE__ */ t.jsxs("div", { className: "rvt-timeline__content", children: [
          n && /* @__PURE__ */ t.jsx("h2", { className: "rvt-timeline__heading", children: n }),
          c && /* @__PURE__ */ t.jsx("span", { className: m("rvt-timeline__date", _), children: c }),
          a
        ] })
      ]
    }
  );
};
L.displayName = "TimelineItem";
L.propTypes = {
  /** A unique identifier for the timeline */
  id: e.string,
  /** Determines whether the TimelineItem is aligned right. Left is the default */
  align: e.oneOf(["left", "right"]),
  /** Optional Header element of the Timeline */
  header: e.string,
  /** Optional Date element of the Timeline*/
  date: e.string,
  /** Determines whether the Date positioned as a label */
  dateStyleAsLabel: e.bool
};
const Ie = u(L);
export {
  be as B,
  ye as C,
  Ce as D,
  Te as E,
  ke as H,
  Se as L,
  Ae as Q,
  $e as S,
  we as T,
  je as a,
  fe as b,
  ge as c,
  Oe as d,
  He as e,
  me as f,
  P as g,
  Ie as h
};
